### Method

# FwupdPlugin UdevDevice set_flags

since: 1.3.6

#### Declaration [src]

    void
    fu_udev_device_set_flags (
      FuUdevDevice* self,
      FuUdevDeviceFlags flags
    )

#### Description [src]

Sets the parameters to use when opening the device.

For example `FU_UDEV_DEVICE_FLAG_OPEN_READ` means that `fu_device_open()` would use `O_RDONLY` rather than `O_RDWR` which is the default.

Available since: 1.3.6

#### Parameters

`flags`

  Type: `FuUdevDeviceFlags`

  Udev device flags, e.g. `FU_UDEV_DEVICE_FLAG_OPEN_READ`.